import { CliTerseError } from '@alwaysai/alwayscli';

import { AppJsonFile } from '../util/app-json-file';
import { checkUserIsLoggedInComponent } from './check-user-is-logged-in-component';
import {
  checkForProjectId,
  selectFromListOfProjects,
  localProject,
  readJson,
  downloadSingleApp,
  newConfig,
  storeDeviceId,
  pickDevice,
  saveDeviceJson,
  checkIfDeviceIsBeingUsed,
  pickAndStoreDevice,
  createNewOrPick,
  deviceFlow,
  checkIfDeviceIsStored,
  checkIfDeviceHasBeenRegistered,
  checkIfAnySavedDevices,
} from '../components/projects-and-teams/check-for-project-id';

export async function appInstallPreliminaryStepsComponent(props: { yes: boolean }) {
  const { yes } = props;

  await checkUserIsLoggedInComponent({ yes });

  const appJsonFile = AppJsonFile();
  if (!appJsonFile.exists()) {
    throw new CliTerseError(MissingFilePleaseRunAppConfigureMessage(appJsonFile.name));
  }

  // await deviceFlow();

  // check device id
  // create device
  // add device to project
}

function MissingFilePleaseRunAppConfigureMessage(fileName: string) {
  return `Missing file "${fileName}". Please run \`alwaysai app configure\` to set up this directory as an alwaysAI application.`;
}
